import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:storebounty_auth/src/constants/constant.dart';
import 'package:storebounty_auth/src/widget/styles/colors.dart';
import 'package:storebounty_auth/src/widget/styles/textstles.dart';

class AuthAppBar extends StatelessWidget implements PreferredSizeWidget {
  final double height;
  final VoidCallback backBtnFunc;
  final String? title;
  final bool? showBackBtn;

  AuthAppBar(
      {this.height = kToolbarHeight, required this.backBtnFunc, this.title, this.showBackBtn});

  @override
  Size get preferredSize => Size.fromHeight(height);

  @override
  Widget build(BuildContext context) {
    return Container(
      color: AppColors.whiteColor,
      child: Column(
        children: [
          SizedBox(
            height: 25,
          ),
          Expanded(
            child: Container(
              // set your desired background color
              child: Row(
                crossAxisAlignment: CrossAxisAlignment.center,
                children: [
                  // SizedBox(width: 1,),
                  Visibility(
                    visible: showBackBtn != null,
                    child: Row(
                      children: [
                        InkWell(
                          onTap: backBtnFunc,
                          child: Container(
                              margin: EdgeInsets.only(left: 28),
                              child: SvgPicture.asset(
                                "$kIconsPath/arrow_back_icon.svg",
                                height: 24,
                                width: 24,
                              )),
                        ),
                        SizedBox(
                          width: 52,
                        ),
                      ],
                    ),
                  ),
                  Text(
                    title ?? 'Welcome Back!',
                    textAlign: TextAlign.center,
                    style: Styles.p0(fontWeight: FontWeight.w500),
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
