import 'package:flutter/material.dart';
import 'package:storebounty_auth/src/widget/styles/colors.dart';
import 'package:storebounty_auth/src/widget/styles/textstles.dart';

class CustomButton extends StatelessWidget {
  final String text;
  final Color color;
  final VoidCallback onPressed;
  final Color? textColor;
  final Widget? customContent;

  const CustomButton({
    Key? key,
    required this.text,
    required this.color,
    required this.onPressed, this.textColor, this.customContent,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onPressed,
      child: Container(
        padding: EdgeInsets.symmetric(vertical: 10, horizontal: 20),
        decoration: BoxDecoration(
          color: color,
          borderRadius: BorderRadius.circular(40),
        ),
        child:customContent ?? Center(
          child: Text(
            text,
            style: Styles.p0(
                fontWeight: FontWeight.w500, color: textColor ?? AppColors.whiteColor),
          ),
        ),
      ),
    );
  }
}
